<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\animal_info;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\animal_info\AnimalInfoLists;
use app\adminapi\logic\animal_info\AnimalInfoLogic;
use app\adminapi\validate\animal_info\AnimalInfoValidate;


/**
 * AnimalInfo控制器
 * Class AnimalInfoController
 * @package app\adminapi\controller\animal_info
 */
class AnimalInfoController extends BaseAdminController
{


    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/01/10 15:53
     */
    public function lists()
    {
        return $this->dataLists(new AnimalInfoLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/01/10 15:53
     */
    public function add()
    {
        $params = (new AnimalInfoValidate())->post()->goCheck('add');
        $result = AnimalInfoLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(AnimalInfoLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/01/10 15:53
     */
    public function edit()
    {
        $params = (new AnimalInfoValidate())->post()->goCheck('edit');
        $result = AnimalInfoLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(AnimalInfoLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/01/10 15:53
     */
    public function delete()
    {
        $params = (new AnimalInfoValidate())->post()->goCheck('delete');
        AnimalInfoLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/01/10 15:53
     */
    public function detail()
    {
        $params = (new AnimalInfoValidate())->goCheck('detail');
        $result = AnimalInfoLogic::detail($params);
        return $this->data($result);
    }


}